"""Module containing data renderer classes."""

from euporie.render.base import DataRenderer, FallbackRenderer
from euporie.render.html import (
    HTMLRenderer,
    html_elinks,
    html_fallback_py,
    html_links,
    html_lynx,
    html_mtable_py,
    html_w3m,
)
from euporie.render.image import (
    AnsiImageRenderer,
    ImageRenderer,
    TerminalGraphicsImageRenderer,
    ansi_tiv,
    img_ansi_catimg,
    img_ansi_chafa,
    img_ansi_icat,
    img_ansi_img2txt,
    img_ansi_img2unicode_py,
    img_ansi_jp2a,
    img_ansi_placeholder,
    img_ansi_timg,
    img_ansi_timg_py,
    img_ansi_viu,
)
from euporie.render.latex import (
    LatexRenderer,
    latex_flatlatex_py,
    latex_pylatexenc_py,
    latex_sympy_py,
)
from euporie.render.markdown import MarkdownRenderer, markdown_rich
from euporie.render.mixin import (
    Base64Mixin,
    DataRendererMixin,
    PythonRenderMixin,
    SubprocessRenderMixin,
)
from euporie.render.rich import RichRenderer
from euporie.render.sixel import (
    SixelRenderer,
    sixel_chafa,
    sixel_imagemagik,
    sixel_img2sixel,
    sixel_teimpy,
    sixel_timg_py,
)
from euporie.render.svg import SVGRenderer, svg_imagemagik, svg_librsvg

__all__ = [
    "DataRenderer",
    "FallbackRenderer",
    "HTMLRenderer",
    "html_elinks",
    "html_fallback_py",
    "html_links",
    "html_lynx",
    "html_mtable_py",
    "html_w3m",
    "MarkdownRenderer",
    "markdown_rich",
    "LatexRenderer",
    "latex_sympy_py",
    "latex_flatlatex_py",
    "latex_pylatexenc_py",
    "DataRendererMixin",
    "Base64Mixin",
    "Base64Mixin",
    "SubprocessRenderMixin",
    "PythonRenderMixin",
    "RichRendererMixin",
    "ImageRenderer",
    "AnsiImageRenderer",
    "img_ansi_timg",
    "img_ansi_chafa",
    "img_ansi_catimg",
    "img_ansi_icat",
    "ansi_tiv",
    "img_ansi_timg_py",
    "img_ansi_img2unicode_py",
    "img_ansi_viu",
    "img_ansi_jp2a",
    "img_ansi_img2txt",
    "img_ansi_placeholder",
    "RichRenderer",
    "TerminalGraphicsImageRenderer",
    "SixelRenderer",
    "sixel_img2sixel",
    "sixel_imagemagik",
    "sixel_chafa",
    "sixel_timg_py",
    "sixel_teimpy",
    "SVGRenderer",
    "svg_librsvg",
    "svg_imagemagik",
    "SixelRenderer",
    "sixel_img2sixel",
    "sixel_imagemagik",
    "sixel_chafa",
    "sixel_timg_py",
    "sixel_teimpy",
]
